Update Recipient Account

The PUT /recipients/{recipientId}/accounts/{accId} endpoint updates an entire recipient account record.

Implementation Guide:

  • Prerequisite: Ensure that the GET /recipient-account-fields endpoint is called first to retrieve the necessary fields for updating a recipient account record.
  • Dynamic Fields: The fields required for updating a recipient account record are dynamic and may change based on the recipient type, destination country, destination currency, and transfer method. Always use the latest field requirements from the GET /recipient-account-fields endpoint.
Recent Requests
Log in to see full request history
TimeStatusUser Agent
Retrieving recent requests…
LoadingLoading…
Path Params
uuid
required

Unique identifier for the recipient.

string
required

Recipient account identifier.

Body Params

Array of fields to update the recipient.

string
length between 3 and 3
string

The ISO 4217 code of the currency of the amount you would like to receive money. A string of exactly 3 uppercase alphabetical characters.

string
enum
Defaults to BANK_ACCOUNT

The method used for transferring money. This field specifies how the funds will be delivered to the recipient's account, such as via bank account, cash pickup, push to card, or account funding. Example- "BANK_ACCOUNT". See Transfer Method.

Allowed:
string
fields
array of objects
fields
Responses

Language
Credentials
Bearer
JWT
URL
LoadingLoading…
Response
Click Try It! to start a request and see the response here! Or choose an example:
application/json